<?php

namespace App\Transformers;

use App\User;
use League\Fractal\TransformerAbstract;

class LoginTransformer extends TransformerAbstract
{

    public function transform(User $user)
    {
        return [
            'user_id'  => $user['id'],
            'username'  => $user['username'],
            'token'  => "Bearer {$user['token']}",
        ];
    }
}