<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/3
 * Time: 14:36
 */

namespace App\Http\Controllers;


use BlockMatrix\EosRpc\ChainFactory;
use BlockMatrix\EosRpc\EosRpc;
use BlockMatrix\EosRpc\WalletFactory;

class TestController extends Controller
{
    public function index()
    {
        $api = (new ChainFactory())->api(base_path());
        $walapi = (new WalletFactory())->api(base_path());
        $eos = (new EosRpc($api, $walapi));
        $walletPassword = "PW5KFL5mQSWauhwnYTMFU3v9ALhkTCuCkfvVJgzJTpRKZysygTJZe";
        $eos->setWalletInfo("default", $walletPassword);
        $trans = $eos->transfer("alice", "bob", "1.0000 SYS", "开始交易" . md5(time()),'eosio.token',false);
        $aliceBalance = $api->getCurrencyBalance('eosio.token', 'alice', 'SYS');
        $bobBalance = $api->getCurrencyBalance('eosio.token', 'bob', 'SYS');
        return response()->json([
            'trans' => $trans,
            'alice' => $aliceBalance,
            'bob' => $bobBalance,
        ]);
    }
}